<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="10dp"
    android:background="@drawable/bg_order_topup_card">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="160dp">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:background="@drawable/ic_top_up_card" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/text_view_cart_price_top_up"
            android:layout_marginEnd="-50dp"
            android:layout_toStartOf="@+id/text_view_cart_price_top_up"
            android:text="$"
            android:textColor="@color/colorPrimary"
            android:textSize="42sp" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_cart_price_top_up"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:layout_marginStart="50dp"
            android:layout_marginTop="20dp"
            android:text="50"
            android:textAllCaps="false"
            android:textColor="@color/colorPrimary"
            android:textSize="40sp"
            android:textStyle="bold" />

        <!--<View-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="2dp"-->
        <!--android:layout_below="@+id/img_top_up_card"-->
        <!--android:background="@color/bg_color" />-->


        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="100dp"
            android:layout_marginEnd="20dp">

            <ImageButton
                android:id="@+id/button_minus"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="38dp"
                android:layout_marginEnd="105dp"
                android:background="@drawable/bg_button_primary"
                android:paddingBottom="3dp"
                android:src="@drawable/ic_minus" />

            <com.seatel.mobilehall.util.customview.CustomEditText
                android:id="@+id/text_view_order_qty"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="35dp"
                android:layout_marginEnd="33dp"
                android:background="@drawable/bg_top_up_cart_order"
                android:digits="0123456789"
                android:inputType="phone"
                android:textAlignment="center"
                android:textColor="@color/colorPrimary"
                android:textSize="20sp" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="40dp"
                android:layout_height="15dp"
                android:layout_alignParentEnd="true"
                android:layout_alignParentBottom="true"
                android:layout_marginEnd="48dp"
                android:layout_marginBottom="25dp"
                android:background="@drawable/bg_top_up_cart_order"
                android:paddingBottom="2dp"
                android:text="Qty"
                android:textAlignment="center"
                android:textColor="@android:color/black"
                android:textSize="10sp"
                tools:ignore="SmallSp" />

            <ImageButton
                android:id="@+id/button_plus"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="38dp"
                android:layout_marginEnd="1dp"
                android:background="@drawable/bg_button_primary"
                android:src="@drawable/ic_plus_button" />
        </RelativeLayout>


    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_marginStart="20dp"
        android:layout_marginTop="110dp"
        android:layout_marginEnd="10dp"
        android:orientation="horizontal">


        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_top_up_add_to_cart"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_weight="1"
            android:background="@drawable/bg_order_search"
            android:gravity="center"
            android:text="@string/add_to_cart"
            android:textAllCaps="false"
            android:textColor="@color/colorPrimary" />

        <View
            android:layout_width="10dp"
            android:layout_height="40dp"
            android:background="@android:color/white" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_top_up_buy_now"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_marginEnd="10dp"
            android:layout_weight="1"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="@string/buy_now"
            android:textAllCaps="false"
            android:textColor="@android:color/white" />

    </LinearLayout>

</RelativeLayout>